# Project: SuperResolution GUI
# Makefile created by Dev-C++ 4.9.9.2

CPP  = psp-g++.exe
CC   = psp-gcc.exe
WINDRES = Vuoto.exe
RES  = 
OBJ  = main.o $(RES)
LINKOBJ  = main.o $(RES)
LIBS =  -L"E:/NDENV/PSP/SDK/PspDev/psp/lib" -L"E:/NDENV/PSP/SDK/PspDev/psp/sdk/lib" -L"E:/NDENV/PSP/SDK/PspDev/lib/gcc/psp/4.1.0" -L"E:/NDENV/PSP/SDK/Nanodesktop/lib" -L"E:/NDENV/PSP/SDK/NanoCore/NanoC/lib" -L"E:/NDENV/PSP/SDK/NanoCore/NanoM/lib" -L"E:/NDENV/PSP/SDK/NanoCore/NanoCPP/lib" -L"E:/NDENV/PSP/ndOpenCV/lib" -L"E:/NDENV/PSP/ndHighGUI/lib" -L"E:/NDENV/PSP/ndDevIL/DevILCore/lib" -L"E:/NDENV/PSP/ndLibCurl/lib" -L"E:/NDENV/PSP/ndSQLLite/lib" -L"E:/NDENV/PSP/ndSift/lib" -L"E:/NDENV/PSP/ndGOCR/lib" -L"E:/NDENV/PSP/ndFreeType/lib" -c -L"E:/NDENV/PSP/ndSuperRes/lib" -L"E:/NDENV/PSP/ndImageMagick/lib" -L"E:/NDENV/PSP/ndMotion2D/lib" -L"E:/NDENV/PSP/ndMpeg2Dec/lib" -mwindows -lndSuperRes_PSPE -lndMotion2D_PSPE -lndMpeg2Dec_PSPE -lndImageMagick_PSPE -lNanodesktop_DEVILTTF_PSPE -lndFreeType_PSPE -lndDevIL_PSPE -lndJpeg_PSPE -lndPng_PSPE -lndTiff_PSPE -lndLibZ_PSPE -lNanoC_PSPE -lNanoM_PSPE -lNanoCPP_PSPE -lsupc++  -nostdlib 
INCS =  -I"E:/NDENV/PSP/SDK/NanoCore/NanoC/src"  -I"E:/NDENV/PSP/SDK/NanoCore/NanoM/src"  -I"E:/NDENV/PSP/SDK/Nanodesktop/src"  -I"E:/NDENV/PSP/ndHighGUI/src"  -I"E:/NDENV/PSP/ndOpenCV/cxcore/include"  -I"E:/NDENV/PSP/ndOpenCV/cv/include"  -I"E:/NDENV/PSP/ndOpenCV/cvaux/include"  -I"E:/NDENV/PSP/ndDevIL/DevILCore/include/IL"  -I"E:/NDENV/PSP/ndLibCurl/include"  -I"E:/NDENV/PSP/ndSQLLite"  -I"E:/NDENV/PSP/ndSift/include"  -I"E:/NDENV/PSP/SDK/PspDev/psp/include"  -I"E:/NDENV/PSP/SDK/PspDev/psp/sdk/include"  -I"E:/NDENV/PSP/ndSuperRes/include" 
CXXINCS =  -I"E:/NDENV/PSP/SDK/NanoCore/NanoC/src"  -I"E:/NDENV/PSP/SDK/NanoCore/NanoM/src"  -I"E:/NDENV/PSP/SDK/NanoCore/NanoCPP/include"  -I"E:/NDENV/PSP/SDK/NanoCore/NanoCPP/include/ansi"  -I"E:/NDENV/PSP/SDK/Nanodesktop/src"  -I"E:/NDENV/PSP/ndOpenCV/cxcore/include"  -I"E:/NDENV/PSP/ndOpenCV/cv/include"  -I"E:/NDENV/PSP/ndOpenCV/cvaux/include"  -I"E:/NDENV/PSP/ndDevIL/DevILCore/include/IL"  -I"E:/NDENV/PSP/ndHighGUI/src"  -I"E:/NDENV/PSP/SDK/PspDev/psp/include"  -I"E:/NDENV/PSP/SDK/PspDev/psp/sdk/include"  -I"E:/NDENV/PSP/ndSuperRes/include" 
BIN  = "SuperResolution GUI.exe"
CXXFLAGS = $(CXXINCS)   -D"PSPE_PLATFORM" -O3 -g  -march=mips2 -fomit-frame-pointer  -ffast-math -v -c -fno-exceptions -mfp32 -mgp32 -fshort-double -nostdlib
CFLAGS = $(INCS)   -D"PSPE_PLATFORM" -O3 -g  -march=mips2 -fomit-frame-pointer  -ffast-math -v -c -fno-exceptions -mfp32 -mgp32 -fshort-double -nostdlib
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before "SuperResolution GUI.exe" all-after

include ../../../SDK/ServiceFiles/AuxFiles/Makefile_PSPE_NOEMU.mak

clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CC) $(LINKOBJ) -o "SuperResolution GUI.exe" $(LIBS)

main.o: main.c
	$(CC) -c main.c -o main.o $(CFLAGS)
